---
title: 我在看什么 · 1月
created: 2023-02-03
summary: 422 / TypeScript / Text-to-4D / 像素画 / History of Unix
tags:
  - 我在看什么
image: /2023-02-03-reading-1/jan.jpg
---

## 开发相关

- [ArrayBuffer - JavaScript | MDN](https://developer.mozilla.org/zh-CN/docs/Web/JavaScript/Reference/Global_Objects/ArrayBuffer)
- [Run a Node.js script from your macOS menu bar](https://flaviocopes.com/run-a-nodejs-script-from-your-macos-menu-bar/)
- [422 Unprocessable Entity - HTTP | MDN - Brave](https://developer.mozilla.org/zh-CN/docs/Web/HTTP/Status/422)
- [422 Unprocessable Entity Explained - KeyCDN Support](https://www.keycdn.com/support/422-unprocessable-entity)
- TypeScript
  - Codecademy 的 TypeScript 教程很好，不过我建议了解基础的 TypeScript 概念再去学：[Learn TypeScript](https://www.codecademy.com/learn/learn-typescript)
  - 在刷完 Codecademy 的课之后，刷了这个练习，非常实用性的针对练习：[TypeScript Exercise](https://typescript-exercises.github.io/)
  - 一些 Cheatsheet
    - [Learn TypeScript: Type Narrowing Cheatsheet | Codecademy ](https://www.codecademy.com/learn/learn-typescript/modules/learn-typescript-type-narrowing/cheatsheet)
    - [TypeScript Cheat Sheet 📄 (32 Code Examples + PDF & Poster)](https://www.doabledanny.com/typescript-cheat-sheet)
    - [TypeScript Cheat Sheets](https://www.typescriptlang.org/cheatsheets)
- [从 Lint 工具窥探前端的 clean-code](https://mp.weixin.qq.com/s/0VndF1TFxXiuuqQnz9Xswg)

  > Prettier 的英文名也是「更漂亮的」。也就是说它只是美化  **代码样式**  并不会检查  **代码质量** 。这就是它与 ESLint 最大的区别。

- [clean-code-javascript](https://github.com/ryanmcdermott/clean-code-javascript)
- 美团技术团队的文章都非常不错：[深入理解函数式编程（上） - 美团技术团队](https://tech.meituan.com/2022/10/13/dive-into-functional-programming-01.html)
- 不同框架的组件写法，用来学习挺好的： [Component Party](https://component-party.dev/)
- [您应该了解的 Node.js 19 新 watch 模式和其他功能 - Linux 迷](https://www.linuxmi.com/node-js-19-watch-mode.html)
  > Node.js 19 的一个显著特性是新的实验性 watch 模式。这使您无需重新启动即可对服务器进行更改。
- [reset-button.css · GitHub](https://gist.github.com/MoOx/9137295)
- [JavaScript For Cats](http://jsforcats.com/)
- [前端主题切换方案详解](https://mp.weixin.qq.com/s/KMFarLh0Xjl-NYmkxFZRrg)
- [开发人员为什么更喜欢 NeoVim 而不是 Vim - Linux 迷](https://www.linuxmi.com/neovim-vs-vim.html)
- [动手写一个 Hugo 博客主题 | Yuanji's Blog](https://blog.gimo.me/posts/creating-a-hugo-theme/)

## 新的发现

- nostr
  - [awesome-nostr](https://github.com/aljazceru/awesome-nostr)
  - [GitHub - nostr-protocol/nostr: a truly censorship-resistant alternative to Twitter that has a chance of working](https://github.com/nostr-protocol/nostr)
- AI 生成视频
  - [Text-to-4D dynamic scene generation - Marginal REVOLUTION](https://marginalrevolution.com/marginalrevolution/2023/01/text-to-4d-dynamic-scene-generation.html)
  - [Text-To-4D Dynamic Scene Generation](https://make-a-video3d.github.io/)
- [Self-hosting | Briefkasten Home](https://docs.briefkastenhq.com/docs/self-hosting.html)
- [ALL-about-RSS](https://github.com/AboutRSS/ALL-about-RSS)
- [Cyber](https://cyberscript.dev/)

## Art / 像素画

- [带你领略马赛克之美，游戏像素画基本原理分析](https://mp.weixin.qq.com/s/2sgLpsflpj_ZYNZRg0TrDQ)
- [saint11 像素宝典- 文集 哔哩哔哩专栏](https://www.bilibili.com/read/readlist/rl38114)
- [Pixel Art Articles](https://saint11.org/pixel_articles/)
- [Pixel perfect: the story of eBoy](https://www.theverge.com/2014/6/17/5803850/pixel-perfect-the-story-of-eboy)
- [我知道的大佬们：像素画家郎](https://mp.weixin.qq.com/s/F81nF-QbYt0IX5lYmnjtPA)
- [LDtk – 2D level editor](https://ldtk.io/)
- [GitHub - giventofly/pixelit: Create pixel art from an image](https://github.com/giventofly/pixelit)

## linux / unix 相关

- [How to use the head command - by The Linux Information Project (LINFO)](http://www.linfo.org/head.html)
- [Archive file - Wikipedia](https://en.wikipedia.org/wiki/Archive_file)
- [Shell 脚本自动输入 - Person Sink](https://ignorantshr.github.io/person-blog/shell/shell%E8%84%9A%E6%9C%AC%E8%87%AA%E5%8A%A8%E8%BE%93%E5%85%A5/)
- [关于 GNU/Linux 操作系统的 10 个神话 - Linux 迷](https://www.linuxmi.com/gnu-linux-myths.html)
- [History of Unix - Wikipedia](https://en.wikipedia.org/wiki/History_of_Unix)
- [AT&T Archives: The UNIX Operating System - YouTube](https://www.youtube.com/watch?v=tc4ROCJYbm0)

## 未分类

- [用户最讨厌的 15 个交互行为，需要你找到更好的时机](https://mp.weixin.qq.com/s/KFTMDzL5Mxulqj3iB0RF6Q)
  > 大部分时候，我们都是用最简单、粗暴的逻辑去强迫用户接受。但数据却告诉我们用户并不买单，同时我们的客户体验也在受到严重的影响。
- [The State Of Usability In 2023](https://www.smashingmagazine.com/2023/01/usability-2023/)
- [Fuck it，直接上线就好，不要执着于完美了 - Owen 的博客存档](https://archive.owenyoung.com/blog/just-make-it-online)
- [Digital detoxes don’t actually work - Ness Labs - Brave](https://nesslabs.com/digital-detoxes)

  > A collaboration between Oxford University, The Education University of Hong Kong, Reading University and Durham University has found “no evidence to suggest abstaining from social media has a positive effect on an individual’s well-being.” The researchers noted that this contrasts popular beliefs about the benefits of digital detoxes.

  > Moreover, this international study found that those who took a break from social media didn’t replace online socializing with face-to-face, voice, or email interactions, as the researchers had expected. Taking a break from social media therefore led to reduced overall interaction and loneliness as social media was not replaced with forms of socializing.

- [Generative Art vs AI Art Generators (highlights)](https://davidmatthew.ie/generative-art-vs-ai-art-generators/)

  > I understand of AI art as a kind of outsourcing of our inner lives as artists, defeating one of primary purposes of art: the active process of creating. This is the lifeblood of art, and while AI text-to-image tools can certainly be fun to play with and could even form valuable sources of inspiration, as in end in themselves they’re actually quite parasitic to the artistic process, relegating us to relatively passive observers. Is that where we want generative art to go, or art in general? ([View Highlight](https://read.readwise.io/read/01gqvg72nfhes9452yzhfgqfm4))
  >
  > 我认为人工智能艺术是对我们作为艺术家的内心生活的一种外包，违背了艺术的主要目的之一：积极的创造过程。这是艺术的命脉，虽然人工智能文本到图像的工具当然可以玩得很开心，甚至可以形成有价值的灵感来源，但就其本身而言，它们实际上是对艺术过程的一种寄生，使我们沦为相对被动的观察者。这就是我们想让生成式艺术发展的方向？或者说是一般的艺术 ？

- [IRC - 维基百科，自由的百科全书](https://zh.wikipedia.org/wiki/IRC)
- [朝知万象 | 《Whole Earth Catalog》：如何成为完整的人](https://archive.ph/Yvpqr)
  > 地球是完整的，人也应该是完整的。《Whole Earth Catalog》是给任何想成为完整的人准备的目录。
- [Claire Morwood 给所有人的 Bitsy 游戏制作教程 A Bitsy Tutorial (2017) ](https://mp.weixin.qq.com/s/mBZMUrvM2Ko4E__VgGiyiw)
- [但是春联不只一种颜色](https://mp.weixin.qq.com/s/XQeYHUe31qAvzXV0FrXlMQ)

好了，什么东西都写了，那么 Nonsense Wander 5 写什么好呢？
